ROHTO BUGS - Bug #1962

[Performance Management] - Import Export
01/20/2023 04:11 PM - Fiona Avangeline Jonathan

Status: Closed
Priority: Immediate
Assignee: Fiona Avangeline Jonathan

Category:

Target version:

Start date:
Due date:

% Done:

Estimated time:

Spent time:

01/20/2023
01/24/2023
0%

0.00 hour
8.00 hours

Description
Mas Azid,

Mohon dibantu untuk tombol import export di Rohto belum berjalan.

uman Resource
HR Administration
HR Strategic
Compensation
FPerformance Management

Performance Appraisal

Import Performance Data

Export Performance Data

Performance Report

Import - PHRPA0048
Export

1. PHRPAQ047

2. PHRPAO0048

3. PHRPAO0049

4. PHRPAOQ051

Terima kasih.

Port: http://remote.minovais.com:51121/

History

#1 - 01/20/2023 04:11 PM - Fiona Avangeline Jonathan
- File deleted (clipboard-202301050948-wbgen.png)

#2 - 01/20/2023 04:11 PM - Fiona Avangeline Jonathan
- File deleted (clipboard-202301050948-sprng.png)

#3 - 01/20/2023 04:11 PM - Fiona Avangeline Jonathan
- File deleted (clipboard-202301050955-m5poc.png)

#4 - 01/20/2023 04:12 PM - Fiona Avangeline Jonathan
- File deleted (clipboard-202301050955-s1gic.png)

#5 - 01/20/2023 04:14 PM - Fiona Avangeline Jonathan
- Due date changed from 10/14/2022 to 01/24/2023
- Start date changed from 09/05/2022 to 01/20/2023

#6 - 01/23/2023 04:51 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

07/05/2025
http://remote.minovais.com:51121/

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

dear fiona , udah bisa di test ya
package :

export
EDIT SMENU

PMO05 PM 5 ES EMPDATA 0 1 0 /Page/exportPMO05 1 Export Performance Data

minovais 20160606100750 minovais 20160728114411 NULL 0

PENMBAHAN FILE PADA ui
EDIT SMENU

PM04 PM 4 ES 0 1 0 /Page/uploadMDPerformance icon-arrow-up 1 Import Performance Data

minovais 20160606100503 minovais 20160728114348 NULL 0
..\Ul\app\view\masterdata\ViewexportPM05.js
...\UN\Pages\exportPM05.html

...\U\Pages\exportPM05.js

import

penambahan file pada ui
...\Ulhapp\controller\masterdata\CtrlUploadMDPerformance.js
..\Ul\app\view\masterdata\ViewUploadMDPerformance.js
...\UN\Pages\uploadMDPerformance.html
...\Ul\Pages\uploadMDPerformance.js

Settingan :

PCMEPMDLIST : moduleTpye (PM) // list pada saat dropdown
PCMEPGENPARAM : module (PM) // pada saat export datanya ke get

-API2:
MinovalS.MinovaES.Data.Element.dll // kebutuhannya untuk upload

-penambahan error message :

MDO0020

MDO0021

makasih

#7 - 01/24/2023 10:09 AM - Fiona Avangeline Jonathan
- File clipboard-202301241008-b6s;7.png added

- File clipboard-202301241009-auwwz.png added

Menu Import sudah berhasil
Import Performance Data

Home e Import Performance Data

Import Master Data

Master Data:
Performance Appraiser

File:
1= C:\fakepath\PHRPADD4E (2).xls

O Simulate @ Execute

[} Force Save Data

Success:
Error:

Warning:

Record 1D Status
00001359 Success

Success

Employee ID: 00001359 Company ID: ROHTO
Full Name: Sarah Danielle Employes Office: Head Office
Employee Status: Active Organization: Human Resource HO

Employee Type: Permanent Position: Human Resource Staff

Performance Header

Start Date: 01/01/20232 g MNotes:

End Date: 30/06/2023 iis:

Appraisal Type: 05-ReviewGKel ¥ Create By:
Appraisal Period: P6-01Jan-30jun ¥ Create Date:
gggs;::ls';;dation: Fromosi - Change By:
Other Change Date:

Recommendation:

— & performance List Appraiser

Appraisal ID Appraiser Ty... KPl Weight Qualificati...
00000059 50.00 50.00
00000058 D5 50.00 50.00

#8 - 01/24/2023 10:13 AM - Fiona Avangeline Jonathan
- File clipboard-202301241012-tcehp.png added
- File clipboard-202301241013-zjwlx.png added

Menu export, tombol Download Template nya belum jalan. Tombol export sudah jalan. Mohon dibantu ya mas azid.
o~
minovais P‘j

¢

HRiS Menu
Export Performance Data
* = My Workplace
B Home e Export Performance Dats
» [0 My Report

* [ Request

b [J HR Administrati...

¥ 2 Performance M.. Export Master Data - Time Management

[l Performance...

] Review 4 Master Data:
sster bata Performance Appraiser

{1l Review &
Date: e
[l Finat -

Employee ID

¥ [ Time Manageme..
From:

¥ [ Travel Manage... Employee ID
To:
[ Forwarding Task
Create By :
{1 nbox

Sharing Approval Create Date:

[] Outbox Change By:
[0 Drafe

Change Date:
[ Archive

{] Delete Request ID

Show all x
PHRPAO04S (3) [Protected View] - Excel =
File Home Insert Page Layout Formulas Data Review View Help Load Test Team Q Tell me what you want to

0 PROTECTED VIEW Be careful—files from the Intemet can contain viruses. Unless you need to edit, it's safer to stay in Protected View. X
L1 - Je v
4 & | e L& o | B | F G | H | ! | J | K LM | N |0 | s
1 |EmployeelD AppraisalType ReglD HeaderSequence Sequence AppraisalD Appraisername AppraiserType KPIWeight QualificationWeight AppraiserNo l

2 00000001 F 1 1 00000002 App2 40.00 40.00 App2

3 00000001 F 1 2 00000003 Appl 60.00 60.00 Appl

4 00000001 F 2 1 00000005 Ds 100.00 100.00 Appl

5 |00000001 G 1 1 00000001 1 100.00 100.00

6 00000001 G 2 1 00000005 Ds 100.00 100.00 Appl

7 00000001 G 3 1 00000058 Ds 0.00 0.00 Appl

4 00000001 G 3 2 00000006 NHA 0.00 0.00 App2

9 00000001 G 4 1 00000058 Ds 0.00 0.00 Appl L]
10 00000001 P 1 1 00000003 Group Head 40.00 40.00

11 |00000001 P 1 2 00000001 CEO 40.00 40.00

12 00000001 P 1 3 00000002 Dirut 20.00 20.00

13 00000001 P 2 1 00000005 Ds 100.00 100.00 Appl

14 |0o0O0002 F 1 1 00000006 NHA 100.00 100.00 Appl

15 00000002 F 2 1 00000001 Ds 100.00 100.00 Appl

16 00000002 G 1 1 00000009 Direct Superrvisor 100.00 100.00

17_00000002 G 2 1 00000001 DS 100.00 100.00 Appraiser 1

18 00000002 P 1 1 00000008 Ds 100.00 100.00 Appl

12 00000003 G 1 1 00000005 Ds 100.00 100.00 Appl
20_00000003 G 2 1 00001767 0.00 0.00 Appl
21 00000003 G 4 1 00000007 S0 100.00 100.00 Appl
22 00000003 P 1 1 00000005 Ds 60.00 40.00 Appl
25‘_00000003 P 1 2 0oooooos ComM 40.00 60.00 App2
24 00000004 G 1 1 00001656 coM 100.00 100.00 Appl
25 00000006 F 1 1 Ds 100.00 100.00 Appl
26 00000007 G 1 1 00000007 DS 100.00 100.00 Appl E

Sheetl | Sheet? | Sheet3 [4] | [v]

Ready 222} O -—a—+ 100%

#9 - 01/24/2023 10:13 AM - Fiona Avangeline Jonathan
- Status changed from QA Test to Revise

- Assignee changed from Fiona Avangeline Jonathan to M Azid Wahyudi

#10 - 01/24/2023 01:22 PM - M Azid Wahyudi

- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan
penambahan :

allow security iis

-IUSR

- IS_IUSRS

dan note untuk upload pada KPI dan QUAL harus di parse
makasih

#11 - 01/24/2023 02:06 PM - Fiona Avangeline Jonathan
- Status changed from QA Test to Closed

Done, terima kasih.
